/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workhandbill.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 交接单材料Entity
 * @author 马鹏波
 * @version 2018-06-05
 */
public class WorkHandBillDetail extends DataEntity<WorkHandBillDetail> {
	
	private static final long serialVersionUID = 1L;
	private String materialNumber;		//序号
	private String materialName;		// 资料名称
	private String materialFlag;		// 有/无
	private Integer materialPages;		// 份数或者页数
	private String billId;		// 交接单编号
	
	public WorkHandBillDetail() {
		super();
	}

	public WorkHandBillDetail(String id){
		super(id);
	}

	@ExcelField(title="资料名称", align=2, sort=7)
	public String getMaterialName() {
		return materialName;
	}

	public void setMaterialName(String materialName) {
		this.materialName = materialName;
	}
	
	@ExcelField(title="有/无", align=2, sort=8)
	public String getMaterialFlag() {
		return materialFlag;
	}

	public void setMaterialFlag(String materialFlag) {
		this.materialFlag = materialFlag;
	}
	
	@ExcelField(title="份数或者页数", align=2, sort=9)
	public Integer getMaterialPages() {
		return materialPages;
	}

	public void setMaterialPages(Integer materialPages) {
		this.materialPages = materialPages;
	}
	
	@ExcelField(title="交接单编号", align=2, sort=10)
	public String getBillId() {
		return billId;
	}

	public void setBillId(String billId) {
		this.billId = billId;
	}

	public String getMaterialNumber() {
		return materialNumber;
	}

	public void setMaterialNumber(String materialNumber) {
		this.materialNumber = materialNumber;
	}
}